net.sourceforge.pmd.lang.dfa.report

## Class ReportTree

- java.lang.Object
- - net.sourceforge.pmd.lang.dfa.report.ReportTree

    public class ReportTree
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`ReportTree()`

### Method Summary

Methods
`void` `addRuleViolation(RuleViolation violation)` Adds the RuleViolation to the tree.
`AbstractReportNode` `getRootNode()`
`Iterator<RuleViolation>` `iterator()`
`int` `size()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ReportTree

    public ReportTree()

### Method Detail

#### iterator

    public Iterator<RuleViolation> iterator()

#### size

    public int size()

#### getRootNode

    public AbstractReportNode getRootNode()

#### addRuleViolation

    public void addRuleViolation(RuleViolation violation)

Adds the RuleViolation to the tree. Splits the package name. Each package, class and violation gets there own tree node.